@import '../../../assets/styles/variables.scss';

.ch-category-list,
.ch-content {
  position: relative;

  & .ch-background-trans {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    opacity: 0.7;
  }
}

.ch-category-list {

  & .ch-background-trans {
    background-color: $ch-background-trans-color;
  }

  & .list-group {
    position: relative;
    border: 2px solid $brand-color-dark;

    & .list-group-item {
      border-radius: 0;
      border: none;
      background-color: transparent;
      cursor: pointer;

      &.active {
        background-color: lighten($brand-color-dark, 40%);
        color: darken($brand-color-dark, 20%);
      }

      &:hover {
        background-color: lighten($brand-color-dark, 47%);
        color: darken($brand-color-dark, 20%);
      }
    }
  }
}

.ch-content {
  height: 100%;
  min-height: 350px;
  overflow-x: hidden;

  & .ch-category-description {
    position: relative;
    display: inline-block;
    padding: 10px;
    overflow-x: hidden;
  }

  & .ch-category-description {
    width: 100%;

    & .actions {
      position: absolute;
      top: 10px;
      right: 10px;
    }
  }

  & .ch-category-add-container {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;

    & .ch-category-add {
      position: absolute;
      right: -400px;
      top: 0;
      height: 100%;
      width: 400px;
      background-color: darken($header_background, 10%);
      transition: right 1s ease;
      z-index: 1;

      & button {
        position: relative;
        top: 5px;
        left: 10px;
      }

      & h5 {
        margin-left: 10px;
      }

      & div {
        padding: 5px;
      }

      &.show-add {
        right: 0px;
      }
    }
  }

  & .ch-background-trans {
    background-color: $header_background;
  }
}
